### Function

# GLib ref_count_compare

since: 2.58

#### Declaration

    gboolean
    g_ref_count_compare (
      grefcount* rc,
      gint val
    )

#### Description

Compares the current value of `rc` with `val`.

Available since: 2.58

#### Parameters

`rc`

  Type: `grefcount*`

  The address of a reference count variable.

  The data is owned by the caller of the function.

`val`

  Type: `gint`

  The value to compare.

#### Return value

Type: `gboolean`

`TRUE` if the reference count is the same as the given value.